/*
style sheet for the Silver Door Gamespaces site at https://silverdoor.games/
created by Electric Keet https://electrickeet.com/
*/

@font-face {
	font-family: 'Cira Sans';
	src: url('/res/CiraSans_Bd_W.woff') format('woff');
	font-weight: bold;
	font-style: normal;
	size-adjust: 108.5%;
	font-display: block;
}
@font-face {
	font-family: 'Cira Sans';
	src: url('/res/CiraSans_Rg_W.woff') format('woff');
	font-weight: normal;
	font-style: normal;
	size-adjust: 108.5%;
	font-display: block;
}
@font-face {
	font-family: 'Cira Sans';
	src: url('/res/CiraSans_BdIt_W.woff') format('woff');
	font-weight: bold;
	font-style: italic;
	size-adjust: 108.5%;
	font-display: block;
}
@font-face {
	font-family: 'Cira Sans';
	src: url('/res/CiraSans_It_W.woff') format('woff');
	font-weight: normal;
	font-style: italic;
	size-adjust: 108.5%;
	font-display: block;
}
@font-face {
	font-family: 'Cira Serif';
	src: url('/res/CiraSerif_XBd_W.woff') format('woff');
	font-weight: 800;
	font-style: normal;
	size-adjust: 108.5%;
	font-display: block;
}
@font-face {
	font-family: 'Cira Serif';
	src: url('/res/CiraSerif_Bd_W.woff') format('woff');
	font-weight: bold;
	font-style: normal;
	size-adjust: 108.5%;
	font-display: block;
}
@font-face {
	font-family: 'Cira Serif';
	src: url('/res/CiraSerif_Rg_W.woff') format('woff');
	font-weight: normal;
	font-style: normal;
	size-adjust: 108.5%;
	font-display: block;
}
@font-face {
	font-family: 'Cira Serif';
	src: url('/res/CiraSerif_BdIt_W.woff') format('woff');
	font-weight: bold;
	font-style: italic;
	size-adjust: 108.5%;
	font-display: block;
}
@font-face {
	font-family: 'Cira Serif';
	src: url('/res/CiraSerif_It_W.woff') format('woff');
	font-weight: normal;
	font-style: italic;
	size-adjust: 108.5%;
	font-display: block;
}
/* felt cute might delete later */
/*
@font-face {
	font-family: 'Share Tech Mono';
	src: url('/res/ShareTechMono-Regular.woff') format('woff');
	font-weight: normal;
	font-style: normal;
	size-adjust: 103.7%;
	font-display: block;
}
*/
@font-face {
	font-family: 'Silver Door Gamespaces';
	src: url('/res/Silver Door Gamespaces.woff') format('woff');
	font-weight: normal;
	font-style: normal;
	size-adjust: 108.5%;
	font-display: block;
}



:root {
	--c-white:  #ffffff; /* hsl(285, 65%, 25%); */

	--c-blue9:  #e5edf3; /* hsl(205, 35%, 92.5%); */
	--c-blue8:  #ccdbe6; /* hsl(205, 35%, 85%); */
	--c-blue7:  #b3cadb; /* hsl(205, 35%, 77.5%); */
	--c-blue6:  #98b7cd; /* hsl(205, 35%, 70%); */
	--c-blue5:  #7ea5c1; /* hsl(205, 35%, 62.5%); */
	--c-blue4:  #6493b4; /* hsl(205, 35%, 55%); */
	--c-blue3:  #4f80a3; /* hsl(205, 35%, 47.5%); */
	--c-blue2:  #426c8a; /* hsl(205, 35%, 40%); */
	--c-blue1:  #365870; /* hsl(205, 35%, 32.5%); */
	--c-blue0:  #294356; /* hsl(205, 35%, 25%); */

	--c-lav:    #ddd1e0; /* hsl(285, 20%, 85%); */
	--c-violet: #551669; /* hsl(285, 65%, 25%); */

	--c-back: var(--c-violet);
	--c-cont: var(--c-blue4);
	--c-fore: var(--c-blue6);
	--c-text: var(--c-blue8);
	--c-high: var(--c-white);
	--c-low:  var(--c-blue2);

	--t-shine: url("data:image/svg+xml,%3Csvg viewBox='0 0 480 480' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cdefs%3E%3CclipPath id='r'%3E%3Crect x='0' y='0' width='480' height='480'/%3E%3C/clipPath%3E%3C/defs%3E%3Cg clip-path='url(%23r)'%3E%3Crect fill='%236493b4' x='0' y='0' width='480' height='480'/%3E%3Cpath fill='%2398b7cd' transform='skewY(-45)' d='m480 48h-480v18h480zm0 24h-480v6h480zm0 42h-480v12h480zm0 33h-480v6h480zm0 69h-480v6h480zm0 12h-480v12h480zm0 48h-480v12h480zm0 54h-480v18h480zm0 24h-480v6h480zm0 72h-480v6h480zm0 12h-480v6h480zm0 24h-480v18h480zm0 66h-480v18h480zm0 24h-480v6h480zm0 42h-480v12h480zm0 33h-480v6h480zm0 69h-480v6h480zm0 12h-480v12h480zm0 48h-480v12h480zm0 54h-480v18h480zm0 24h-480v6h480zm0 72h-480v6h480zm0 12h-480v6h480zm0 24h-480v18h480z'/%3E%3C/g%3E%3C/svg%3E%0A");

	color-scheme: dark;
}
@media (prefers-color-scheme: dark) {
	:root {
		color-scheme: dark;
	}
}
@media (prefers-color-scheme: light) {
	:root {
		color-scheme: light;
		--c-back: var(--c-blue8);
		--c-cont: var(--c-blue2);
		--c-fore: var(--c-blue6);
		--c-text: var(--c-violet);
		--c-high: var(--c-blue2);
		--c-low: var(--c-blue6);
	}
}
@media print {
	:root {
		color-scheme: light;
		--c-back: var(--c-white);
		--c-text: var(--c-violet);
	}
}



* {
	transition: 
		text-decoration-color 0.2s ease-in-out,
		background-color 0.2s ease-in-out, 
		color 0.2s ease-in-out;
}

html {
	min-height: 100%;
	/* font size will scale with viewport size! For mobile users! */
	font-size: clamp(0.6em, calc(0.6em + (1 - 0.6) * ((100vw - 12em) / (48 - 12))), 1em);
  box-decoration-break: clone;
}

body {
	font-family: "Cira Sans", sans-serif;
	line-height: 1.75;
	background-color: var(--c-back);
	color: var(--c-text);
	padding: 0;
	margin: 0;
	min-height: 100%;
}
.body {
	margin: 0 auto;
	padding: 0;
	max-width: 48rem;
	min-height: 100vh;
	display: grid;
	grid-template-columns: 3rem 1fr;
	justify-items: stretch;
	font-variant-numeric: oldstyle-nums;
}
.shine {
	min-height: 100vh;
	background-color: var(--c-blue4);
	background-image: var(--t-shine);
	background-repeat: repeat-y;
	background-attachment: fixed;
	background-size: 64rem 64rem;
}
.content {
	min-height: 100vh;
	padding: 0;
	padding-left: clamp(1rem, calc((100% - 24rem) / 2), 3rem);
	padding-right: clamp(1rem, calc((100% - 24rem) / 2), 3rem);
}
@media only screen and (max-width: 30rem) {
	.body {
		grid-template-columns: calc(100vw - 33rem) 1fr;
	}
}
@media print {
	.body {
		grid-template-columns: 0 1fr;
	}
}
div.landing,
div.banner,
main,
footer,
aside {
	padding: 0;
	margin-top: 0;
	margin-bottom: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-family: "Cira Serif", sans-serif;
	line-height: 150%;
	color: var(--c-blue6);
	margin-top: 1rem;
	margin-bottom: 0.5em;
}

p {
	margin-top: 0.75rem;
	margin-bottom: 0.75rem;
}

header {
	display: contents;
	grid-template-rows: 1fr 1fr;
}
header a,
header a:visited {
	text-decoration: none;
}
div.banner {
	display: grid;
	grid-template-columns: min-content 1fr;
	grid-template-rows: auto;
	grid-column-gap: 0.75rem;
	grid-row-gap: 0;
	justify-items: stretch;
	align-items: flex-end;
	max-width: fit-content;
	padding-top: 2rem;
	margin: 0 auto;
}
div.banner * {
	direction: initial;
}
div.banner h1 {
	font-size: 2.5rem;
	line-height: 100%;
	font-family: "Cira Serif", initial;
	font-weight: 800;
	color: var(--c-blue6);
	margin: 1rem 0 0 0;
}
div.banner h1 span.gs {
  text-transform: lowercase;
	font-family: "Cira Sans", initial;
	font-weight: normal;
}
div.banner h1 a,
div.banner h1 a:visited {
	color: var(--c-blue6);
}
@media (prefers-color-scheme: light) {
	div.banner h1 a,
	div.banner h1 a:visited {
		color: var(--c-violet);
	}
}
header .headlogo {
	display: grid;
	grid-row-end: span 2;
	align-self: center;
	padding: 0;
	margin: 0;
}
a.headlogo {
	text-decoration: none;
	color: var(--c-blue6);
}
a.headlogo:visited {
	text-decoration: none;
	color: var(--c-blue6);
}
header .headlogo:hover,
a.headlogo:hover {
	background: none;
}
body.landing div.headlogo {
	margin-top: 2.5rem;
}

ul, 
ol {
	padding-left: 1.5em;
	}
li p {
	margin: 0;
	text-indent: -1em;
}
ul {
  list-style-type: "\25A0\2002";
}
ul ul {
  list-style-type: "\25A1\2002";
}
ul li::marker {
  color: var(--c-cont);
  font-family: "Silver Door Gamespaces";
}
ol ol {
  list-style-type: lower-latin;
}
ol li::marker {
	font-variant-numeric: oldstyle-nums;
}

li.current {
	font-weight: bold;
}
li.current li {
	font-weight: normal;
}

hr {
	height: 0.1rem;
	text-align: center;
	color: unset;
	border: none;
	background-color: var(--c-blue4);
	background-image: var(--t-shine);
	background-repeat: repeat;
	background-size: 64rem 64rem;
	background-attachment: fixed;
 	clear: both;
	margin: 2rem;
}


main {
}
main h1:first-child,
main h2:first-child {
	margin-top: 0;
}

nav {
}
nav p.subtitle { /* for the feed.xml specifically */
	font-family: "Cira Serif", serif;
	font-weight: bold;
	font-size: 133.33%;
	margin-top: 0;
	padding-top: 0;
}
nav h1 {
	margin-top: 0;
}
nav ul,
nav menu {
	padding-left: 0;
	margin-top: 0;
	margin-bottom: 0.5rem;
}
.landing nav menu {
	padding-left: 0;
	margin-top: 1.5rem;
	margin-bottom: 1.5rem;
	font-weight: bold;
}
nav li {
	display: inline list-item;
	list-style-type: none;
	font-size: 1rem;
	margin: 0;
	text-indent: 0;
	padding: 0 0.75em 0.25em 0;
}
nav li:last-child {
	padding-right: 0;
}
nav li a {
	white-space: nowrap;
}
nav > menu > li:first-child::marker {
	content: "";
}

/* magical CSS dropdown menus that no longer impress anyone */
nav li {
  position: relative;
}
nav ul ul,
nav menu menu {
  visibility: hidden;
  position: absolute;
  top: 1em;
	left: -0.25em;
	right: -0.25em;
	width: auto;
	padding: 0.25em;
	transform: translateY(0.15rem);
	z-index: 100;
	opacity: 0;
	transition:
		opacity 0.2s ease-in-out,
		box-shadow 0.2s ease-in-out,
		transform 0.2s ease-in-out,
		visibility 0.2s step-end;
}
nav menu li:first-child menu {
	left: 0;
}
nav ul ul li,
nav menu menu li {
	margin: 0.25em;
	padding-bottom: 0;
	width: 100%;
	white-space: nowrap;
	list-style-type: none;
	display: block;
}
nav li:hover ul,
nav li ul:hover,
nav li:hover menu,
nav li menu:hover {
	transform: translateY(0);
	opacity: 1;
	z-index: 100;
	visibility: visible;
	transition:
		opacity 0.2s ease-in-out,
		transform 0.2s ease-in-out;
}
nav li:hover menu.empty,
nav li menu.empty:hover {
  display: none;
}

body.landing {
	text-align: center;
}
.landing h1,
.landing h2 {
	font-family: "Cira Serif";
	font-weight: bold;
	margin: 1rem auto 2rem auto;
}
.landing h1 {
	/* accounting for line-height adding space at the bottom */
	font-size: 3.3333rem;
	line-height: 0.75em;
	color: var(--c-blue6);
	font-weight: 800;
}
.landing h1,
.landing h1 a,
.landing h1 a:visited {
	color: var(--c-blue6);
}
.landing h1 a:hover {
	color: var(--c-white);
}
.landing h2 {
	color: var(--c-blue8);
}
body.landing footer {
  margin-top: 3rem;
}

@media (prefers-color-scheme: light) {
	.landing h1,
	.landing h1 a,
	.landing h1 a:visited {
		color: var(--c-blue2);
	}
	.landing h1 a:hover {
		color: var(--c-blue4);
	}
	.landing h2 {
		color: var(--c-violet);
	}
}

@media only screen and (max-width: 48em),
       only print and (max-width: 42.75em) {
	div.banner {
		display: block;
		text-align: center;
	}
	header {
		display: grid;
		grid-template-columns: min-content min-content;
		max-width: fit-content;
		margin: 0 auto;
	}
	header .headlogo {
		grid-row-end: 1;
	}
	nav {
		display: block;
	}
	nav menu {
		padding-left: 0.75em;
		margin-left: -0.75em;
		margin-right: -0.75em;
		margin-top: 0.5rem;
	}
	nav li:last-child {
		padding-right: 0.75em;
	}
	div.banner h1 {
		margin: auto;
		padding: 0.75rem 0.75rem 0 0.75rem;
	}
	div.banner h1 span.gs {
		display: block;
	}
	header a, header a:visited {
		text-align: center;
		align-self: center;
	}
}

@media (max-width: 25.5em) {
	header  {
		display: initial;
		margin-top: 0.5rem;
	}
	div.banner {
		grid-template-columns: 1fr;
		grid-template-rows: auto;
	}
	div.banner h1 {
		margin-top: 0;
		margin-bottom: 1rem;
	}
	header,
	nav {
		justify-self: center;
		text-align: center;
	}
	header .headlogo {
		display: initial;
	}
	nav menu {
		margin-top: 0.5rem;
		padding-left: 0.75em;
	}
}

details {
	margin-left: 0.75em;
	margin-top: 0.75em;
}
details details {
	margin-top: 0.5rem;
}
details p {
	margin-top: 0;
	padding-left: 2.25rem;
}
summary {
  list-style-type: "\00A0\25B7\00A0";
}
details[open] > summary {
  list-style-type: "\00A0\25BC\00A0";
}
summary:hover a {
	text-decoration-color: var(--c-fore);
}
summary::marker {
  color: var(--c-fore);
}

footer {
	clear: both;
	padding-bottom: 2rem;
}
footer p {
	font-size: 0.8em;
	margin-top: 0.4em;
	margin-bottom: 0.4em; 
}

a {
	display: inline-block;
	color: var(--c-high);
	text-decoration-color: var(--c-cont);
	text-decoration-thickness: 0.1rem;
	padding: 0.25rem;
	margin: -0.25rem;
}
a:visited {
	color: var(--c-text);
}
a:hover {
	background: var(--c-low);
	transition:
		background-color 0.2s ease-in-out;
}
a:active {
	position: relative;
	padding: 0.25rem;
	margin: -0.25rem;
	z-index: 100;
	color: var(--c-high);
	text-decoration-color: var(--c-high);
	transition: none;
}
a:hover:active {
	color: var(--c-high);
	text-decoration-color: var(--c-fore);
	transition: none;
}

blockquote {
	margin-left: clamp(1.5rem, calc((100% - 24em) / 6), 3rem);
	margin-right: clamp(1.5rem, calc((100% - 24em) / 6), 3rem);
	margin-top: 1.5em;
	margin-bottom: 1.5em;
}
blockquote em {
/*	hyphens: none; */
	white-space: nowrap;
}
blockquote em i {
	font-style: normal;
}

section.info {
}
section.info img {
	display: block;
	float: right;
	margin: 0 0 0.5rem 1rem;
}
@media (max-width: calc(24em + 200px)) {
	section.info img {
		float: none;
		margin-left: 0;
	}
}

cite {
  font-style: italic;
}
code {
	font-family: "Share Tech Mono", monospace;
}
sc {
	display: inline;
	font-variant-caps: all-small-caps;
	font-synthesis: none;
}
div.big {
	font-size: 120%;
	margin-top: 1.5em;
	margin-bottom: 1.5em;
}
span.title {
}
nb {
	white-space: nowrap;
}
span.gs {
  text-transform: lowercase;
	font-size: 0.75em;
	font-family: "Cira Sans";
	font-weight: normal;
	letter-spacing: calc( 10em / 72 );
}

div.breadcrumbs {
	margin-bottom: 0;
}
.breadcrumbs {
	font-size: 80%;
}
.breadcrumbs ul {
	padding-left: 0;
}
.breadcrumbs li {
	display: inline-block;
	margin-left: 0;
	margin-bottom: 0;
	text-indent: 0;
}
.breadcrumbs li::before {
  content: none;
  padding-right: 0;
}
.breadcrumbs li::after {
	color: var(--c-cont);
	content: " \2005\00BB\2005";
}
.breadcrumbs li:last-child::after {
	content: "";
}

.news-nav {
	margin-top: 2em;
	margin-bottom: 2em;
}

div.prevnext {
	margin-top: 0;
}
div.breadcrumbs + div.prevnext {
	margin-top: 0;
}
div.prevnext + div.breadcrumbs {
	margin-bottom: 3em;
}
.pieceNav hr,
.newsNav hr {
	width: calc(100% - 4rem);
}


.feed::after {
	font-family: "Silver Door Gamespaces";
	content: " \F010";
}


.empty {
	display: none;
}

aside {
	padding-top: 2rem;
}

div.news li a {
	display: initial;
}
div.news li p {
	text-indent: 0rem;
}


@keyframes progress {
  from {
    background-position-y: 0;
  }
  to {
    background-position-y: 9rem;
  }
}

.shine,
hr {
  animation: progress linear;
  animation-timeline: scroll();
  animation-duration: 1ms;
}

@media (prefers-reduced-motion: reduce) {
  .shine,
	hr {
    animation-timeline: none;
		background-attachment: initial;
  }
}
